
import React from 'react';
import Icon from 'react-icon-base';

const SlEye = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M515.472 638.592c-106.032 0 -192 -85.9678 -192 -192c0 -106.016 85.9678 -192 192 -192s192 85.9678 192 192s-85.9678 192 -192 192zM515.472 318.592c-70.5762 0 -129.473 58.8164 -129.473 129.393c0 70.5766 57.4238 128 128 128c70.5918 0 128 -57.4238 128 -128 s-55.9355 -129.393 -126.527 -129.393zM1023.68 455.424c-0.368164 1.61621 -0.207031 3.3252 -0.6875 4.90918c-0.208008 0.671875 -0.624023 1.05566 -0.864258 1.64746c-0.335938 0.912109 -0.255859 1.98438 -0.719727 2.86426 c-93.0723 213.104 -293.664 335.76 -507.424 335.76s-418.368 -122.432 -511.488 -335.552c-0.400391 -0.896484 -0.335938 -1.82422 -0.65625 -2.84863c-0.223633 -0.624023 -0.6875 -0.975586 -0.895508 -1.56738 c-0.496094 -1.61621 -0.303711 -3.2959 -0.607422 -4.92773c-0.591797 -2.87988 -1.13574 -5.67969 -1.13574 -8.5918c0 -2.94434 0.543945 -5.66406 1.13574 -8.5918c0.320312 -1.59961 0.112305 -3.34375 0.608398 -4.87988 c0.208008 -0.719727 0.671875 -1.02344 0.895508 -1.67969c0.335938 -0.879883 0.255859 -1.96777 0.65625 -2.84766c93.1357 -213.056 295.744 -333.712 509.504 -333.712c213.776 0 416.336 120.4 509.44 333.505c0.463867 0.912109 0.368164 1.87207 0.719727 2.87988 c0.223633 0.55957 0.655273 0.975586 0.847656 1.59961c0.496094 1.56836 0.335938 3.28027 0.6875 4.91211c0.55957 2.86426 1.08789 5.66406 1.08789 8.62402c0 2.81641 -0.52832 5.60059 -1.10426 8.49705zM512 159.405c-181.296 0 -359.743 95.5684 -447.423 287.681 c86.8477 191.472 267.68 289.504 449.424 289.504c181.68 0 358.496 -98.1436 445.376 -289.712c-86.8164 -191.408 -265.633 -287.473 -447.377 -287.473z"/></g>
    </Icon>
);

export default SlEye;
